Bug 1740257 - oc adm release extract fails with panic: runtime error: slice bounds out of range
Summary: oc adm release extract fails with panic: runtime error: slice bounds out of r...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Kubernetes-native Infrastructure
Classification: Red Hat
Component: Deployment
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Stephen Benjamin
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-12 14:24 UTC by Marius Cornea
Modified: 2020-04-06 13:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 11:15:09 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Marius Cornea 2019-08-12 14:24:22 UTC
Description of problem:

make fails:

 + oc adm release extract --registry-config installer--taKNBVx26D/pullsecret --command=openshift-install --to installer--taKNBVx26D registry.svc.ci.openshift.org/kni/release:4.2.0-0.ci-2019-07-31-123929-kni.0
 panic: runtime error: slice bounds out of range
 
 goroutine 104 [running]:
 bufio.(*Reader).fill(0xc00026a8a0)
 	/opt/rh/go-toolset-1.12/root/usr/lib/go-toolset-1.12-golang/src/bufio/bufio.go:89 +0x211
 bufio.(*Reader).WriteTo(0xc00026a8a0, 0x2dfa3c0, 0xc0019f6058, 0x7f1c39b41b68, 0xc00026a8a0, 0x2e63a01)
 	/opt/rh/go-toolset-1.12/root/usr/lib/go-toolset-1.12-golang/src/bufio/bufio.go:511 +0x106
 io.copyBuffer(0x2dfa3c0, 0xc0019f6058, 0x2df4fa0, 0xc00026a8a0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0)
 	/opt/rh/go-toolset-1.12/root/usr/lib/go-toolset-1.12-golang/src/io/io.go:384 +0x34e
 io.Copy(...)
 	/opt/rh/go-toolset-1.12/root/usr/lib/go-toolset-1.12-golang/src/io/io.go:364
 os/exec.(*Cmd).stdin.func1(0x0, 0x0)
 	/opt/rh/go-toolset-1.12/root/usr/lib/go-toolset-1.12-golang/src/os/exec/exec.go:243 +0x67
 os/exec.(*Cmd).Start.func1(0xc000939080, 0xc001298480)
 	/opt/rh/go-toolset-1.12/root/usr/lib/go-toolset-1.12-golang/src/os/exec/exec.go:409 +0x27
 created by os/exec.(*Cmd).Start
 	/opt/rh/go-toolset-1.12/root/usr/lib/go-toolset-1.12-golang/src/os/exec/exec.go:408 +0x58f


Version-Release number of selected component (if applicable):
dev-scripts on commit b37f693968cb710935e55149d356b5500572876b 

How reproducible:
not always

Steps to Reproduce:
1. Run make

Actual results:

Sometimes oc adm release extract fails with panic: runtime error: slice bounds out of range

Expected results:
No failures.

Additional info:

Comment 1 Steven Hardy 2019-09-09 13:11:22 UTC
I believe Stephen discovered the root-cause of this:

https://github.com/openshift/oc/issues/58

So I assigned this to him - the dev-scripts and install-scripts workarounds landed, but I'm not sure if we want to keep this open until the underlying library fix lands and makes it into our builds?

Comment 2 Steven Hardy 2019-12-13 11:15:09 UTC
https://github.com/openshift/oc/issues/58 merged so this should be fixed in the current releases.


Note You need to log in before you can comment on or make changes to this bug.